#ifndef DS1337_CONFIG
#define DS1337_CONFIG
	
	/**
	 * Define the DS1337 I2C addresses
	**/
	#define DS1337_WADDR		B01101000 /* 0x68 */
	
	// Ucomment this to enable setting the clock from a 
	// unix time stamp with gmt and dst correction
	#define DS1337_USE_SET_UTS

	// Uncomment this enable setting the clock using BCD
	//#define DS1337_USE_BCD_CLOCKSET

	// Uncomment this if you need to read back unix time stamp (without DTS correction)
	//#define DS1337_USE_GET_UTS

	// Uncomment this to support alarms
	#define DS1337_USE_ALARMS

	#ifdef DS1337_USE_ALARMS
	// Uncomment this to allow use external alarm interrupts
	#define DS1337_USE_ALARM_INTERRUPTS

	// Uncomment this to allow alarm functions callback
	#define DS1337_USE_ALARMS_CALLBACK
	#endif

	// Uncomment this to use integrity check functions
	#define DS1337_USE_OSC_INTEGRITY

	// Uncomment this to support square wave output
	// If this is enabled, alarm 2 will output it's interrupt on INTA
	#define DS1337_USE_SQW_OUTPUT
	
#endif
